/// <reference types="@types/google.maps" />
import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        contentString: string;
        openInfoWindow?: ((anchor: google.maps.marker.AdvancedMarkerElement, map: google.maps.Map) => void) | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type InfoWindowProps = typeof __propDef.props;
export type InfoWindowEvents = typeof __propDef.events;
export type InfoWindowSlots = typeof __propDef.slots;
export default class InfoWindow extends SvelteComponent<InfoWindowProps, InfoWindowEvents, InfoWindowSlots> {
    get openInfoWindow(): (anchor: google.maps.marker.AdvancedMarkerElement, map: google.maps.Map) => void;
}
export {};
